Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables

# enc/iso_8859_10.c File Reference

`#include "regenc.h"`
Include dependency graph for iso_8859_10.c:

Go to the source code of this file.

## Defines
#define | ENC_ISO_8859_10_TO_LOWER_CASE(c) EncISO_8859_10_ToLowerCaseTable[c]
#define | ENC_IS_ISO_8859_10_CTYPE(code, ctype) ((EncISO_8859_10_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)
## Functions
static int | mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end ARG_UNUSED, UChar *lower, OnigEncoding enc ARG_UNUSED)
static int | is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
static int | apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc ARG_UNUSED)
static int | get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (iso_8859_10, ISO_8859_10)
## Variables
static const UChar | EncISO_8859_10_ToLowerCaseTable [256]
static const unsigned short | EncISO_8859_10_CtypeTable [256]
static const OnigPairCaseFoldCodes | CaseFoldMap []

## Define Documentation

#define ENC_IS_ISO_8859_10_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncISO_8859_10_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 33 of file iso_8859_10.c.

Referenced by is_code_ctype().

#define ENC_ISO_8859_10_TO_LOWER_CASE | ( |  | c | ) | EncISO_8859_10_ToLowerCaseTable[c]

Definition at line 32 of file iso_8859_10.c.

Referenced by mbc_case_fold().

## Function Documentation

static int apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 206 of file iso_8859_10.c.

References onigenc_apply_all_case_fold_with_map().

static int get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 216 of file iso_8859_10.c.

References onigenc_get_case_fold_codes_by_str_with_map().

static int is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 148 of file iso_8859_10.c.

References ENC_IS_ISO_8859_10_CTYPE, and FALSE.

static int mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar *end | ARG_UNUSED,
|  | UChar * | lower,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 107 of file iso_8859_10.c.

References ENC_ISO_8859_10_TO_LOWER_CASE, INTERNAL_ONIGENC_CASE_FOLD_MULTI_CHAR, and UChar.

OnigEncodingDefine | ( | iso_8859_10 | ,
|  | ISO_8859_10 |
| ) |  |

## Variable Documentation

const OnigPairCaseFoldCodes CaseFoldMap[]`[static]`

Definition at line 156 of file iso_8859_10.c.

const unsigned short EncISO_8859_10_CtypeTable[256]`[static]`

Definition at line 71 of file iso_8859_10.c.

const UChar EncISO_8859_10_ToLowerCaseTable[256]`[static]`

Definition at line 36 of file iso_8859_10.c.